@REM Create partial or full backup of Jeti Transmitters Revision 1
@echo off
@echo ================================
@echo connection  transmitter
@echo ================================
@echo connect your transmitter USB and type in the drive letter e.g. E 
@Set /P transmitter=SET transmitter:
@echo ================================
IF not exist %transmitter%:\apps\*.* goto  FAILPATH

@echo ================================
@echo Backup Type full \ partial
@echo ================================
@echo for full backup type in  F and for partial  P
@Set /P backupType=SET backupType:
IF "%backupType%"=="F" goto FULL
goto PARTIAL

:FULL
@echo ================================
@echo generating full backup of transmitter, pleas wait
@echo ================================
set "backupFolder=%date%_full"
IF exist %backupFolder% rd %backupFolder% /S /Q
md %backupFolder%
IF not exist %backupFolder% goto FAILPATH_BACK
cd %backupFolder%
COPY %transmitter%:\*.*
md Apps
cd ..
XCOPY /S %transmitter%:\Apps %backupFolder%\Apps 
cd %backupFolder%
md Audio
cd ..
XCOPY /S %transmitter%:\Audio %backupFolder%\Audio 
cd %backupFolder%
md Config
cd ..
XCOPY /S %transmitter%:\Config %backupFolder%\Config 
cd %backupFolder%
md Devices
cd ..
XCOPY /S %transmitter%:\Devices %backupFolder%\Devices 
cd %backupFolder%
md Img
cd ..
XCOPY /S %transmitter%:\Img %backupFolder%\Img 
cd %backupFolder%
md Lang
cd ..
XCOPY /S %transmitter%:\Lang %backupFolder%\Lang 
cd %backupFolder%
md Log
cd ..
XCOPY /S %transmitter%:\Log %backupFolder%\Log 
cd %backupFolder%
md Manual
cd ..
XCOPY /S %transmitter%:\Manual %backupFolder%\Manual 
cd %backupFolder%
md Model
cd ..
XCOPY /S %transmitter%:\Model %backupFolder%\Model 
cd %backupFolder%
md Music
cd ..
XCOPY /S %transmitter%:\Music %backupFolder%\Music 
cd %backupFolder%
md Update
cd ..
XCOPY /S %transmitter%:\Update %backupFolder%\Update 
cd %backupFolder%
md Voice
cd ..
XCOPY /S %transmitter%:\Voice %backupFolder%\Voice 

@echo ================================
@echo full transmitter backup successful finished
@echo ================================
goto END

:PARTIAL
@echo ================================
@echo generating partial backup of transmitter, pleas wait
@echo ================================
set "backupFolder=%date%_partial"
IF exist %backupFolder% rd %backupFolder% /S /Q
md %backupFolder%
IF not exist %backupFolder% goto FAILPATH_BACK 
cd %backupFolder%
md Apps
cd ..
XCOPY /S %transmitter%:\Apps %backupFolder%\Apps  
cd %backupFolder%
md Audio
cd ..
XCOPY /S %transmitter%:\Audio %backupFolder%\Audio 
cd %backupFolder%
md Model
cd ..
XCOPY /S %transmitter%:\Model %backupFolder%\Model 
@echo ================================
@echo partial transmitter backup successful finished
@echo ================================
goto END


:FAILPATH
@echo Installation failed transmitter is not connected or drive letter for transmitter is not correct
goto END
:FAILPATH_BACK
@echo transmitter backup failed the %backupFolder% does not exist.
goto END

:END
@PAUSE
exit





